Main Page Modules Data Structures File List Data Fields Globals Related Pages

# build/myftw.c File Reference

Modified ftw() -- uses Lstat() instead of stat(). More...

`#include "system.h"`
`#include <rpmio.h>`
`#include "myftw.h"`
`#include "debug.h"`

Go to the source code of this file.

## Defines

#define | NAMLEN(a) strlen((a)->d_name)
#define | PATH_MAX 1024

## Functions

int | myftw_dir (DIR **dirs, int level, int descriptors, char *dir, size_t len, myftwFunc func, void *fl)
int | myftw (const char *dir, int descriptors, myftwFunc func, void *fl)

## Detailed Description

Modified ftw() -- uses Lstat() instead of stat().

Definition in file myftw.c.

## Define Documentation

#define NAMLEN | ( | a |  | ) | strlen((a)->d_name)

| Definition at line 30 of file myftw.c. Referenced by myftw_dir.

#define PATH_MAX 1024

| Definition at line 41 of file myftw.c. Referenced by myftw, and myftw_dir.

## Function Documentation

int myftw | ( | const char * | dir,
|  | int | descriptors,
|  | myftwFunc | func,
|  | void * | fl
| ) |

| Definition at line 179 of file myftw.c. References alloca, Closedir, errno, Lstat, MYFTW_D, myftw_dir, MYFTW_DNR, MYFTW_F, MYFTW_NS, myftwFunc, Opendir, and PATH_MAX.

int myftw_dir | ( | DIR ** | dirs,
|  | int | level,
|  | int | descriptors,
|  | char * | dir,
|  | size_t | len,
|  | myftwFunc | func,
|  | void * | fl
| ) | `[static]`

| Definition at line 56 of file myftw.c. References Closedir, dirent, errno, Lstat, MYFTW_D, MYFTW_DNR, MYFTW_F, MYFTW_NS, myftwFunc, NAMLEN, Opendir, PATH_MAX, and Readdir. Referenced by myftw.